Installation PHP5 et Apache2

Le
Droug
Bonjour à tous
et par avance, désolé si je pose des questions déjà posés mais j=
'ai
bien cherché et n'ai pas trouvé de réponse.

J'ai un serveur dédié sous Debian et j'aimerais installer PHP5 et
Apache2
J'ai fait apt-get install apache2
et un apt-get install php5
mais quand j'affiche phpinfo(), la version indiquée est la suivante :
PHP Version 4.4.4-8+etch3

J'ai donc plusiques questions :
- Est-il nécessaire d'avoir Apache2 pour installer PHP5 ?
- Comment savoir si on a Apache2 ou Apache?
- Y a-t-il une bonne âme pour aider un newbie plein de bonne
volonté ?
Merchi d'avance
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Fabien LE LEZ
Le #1895628
On Sun, 08 Jul 2007 16:47:35 -0000, Droug
et un apt-get install php5
mais quand j'affiche phpinfo(), la version indiquée est la suivante :
PHP Version 4.4.4-8+etch3


Tu as peut-être plusieurs versions de PHP installées.
Il faut configurer Apache pour installer la bonne.

- Y a-t-il une bonne âme pour aider un newbie plein de bonne
volonté ?


Apache et PHP, comme la plupart des logiciels open-source, sont très
faciles à installer... si on lit la documentation.
http://www.php.net/manual/en/
http://httpd.apache.org/ -> Documentation

(Je crois qu'il y a des traductions en français quelque part.)

YBM
Le #1895627
Bonjour à tous
et par avance, désolé si je pose des questions déjà posés mais j'ai
bien cherché et n'ai pas trouvé de réponse.

J'ai un serveur dédié sous Debian et j'aimerais installer PHP5 et
Apache2
J'ai fait apt-get install apache2
et un apt-get install php5
mais quand j'affiche phpinfo(), la version indiquée est la suivante :
PHP Version 4.4.4-8+etch3


apt-get install libapache2-mod-php5

(tu as installé la version cgi de php5 et a sans doute la version
en module de php4, qui devrait être supprimée par l'installation
du module php5)

Droug
Le #1895604
Ah merci beaucoup mais comment faire pour configurer Apache. Et
surtout question de base, comment connaitre ma version d'Apache?
Tu penses qu'il faudrait que je désinstalle tout pour tout réinstaller
à ma sauce (tout avait été installé par mon hébergeur), j'ai peur tout
casser si je fais ça ;)
Note : mon serveur n'est pas encore en activité
Merci encore en tout cas
On Jul 8, 6:07 pm, Fabien LE LEZ
On Sun, 08 Jul 2007 16:47:35 -0000, Droug
et un apt-get install php5
mais quand j'affiche phpinfo(), la version indiquée est la suivante :
PHP Version 4.4.4-8+etch3


Tu as peut-être plusieurs versions de PHP installées.
Il faut configurer Apache pour installer la bonne.

- Y a-t-il une bonne âme pour aider un newbie plein de bonne
volonté ?


Apache et PHP, comme la plupart des logiciels open-source, sont très
faciles à installer... si on lit la documentation.http://www.php.net/ma nual/en/http://httpd.apache.org/-> Documentation

(Je crois qu'il y a des traductions en français quelque part.)



Fabien LE LEZ
Le #1895602
On Mon, 09 Jul 2007 10:50:49 -0000, Droug
Ah [...]


Sache qu'en français, on écrit de haut en bas.
http://www.usenet-fr.net/fr.usenet.reponses/usenet/repondre-sur-usenet.html

Publicité
Poster une réponse
Anonyme